> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/upcomingactionexecution-object.md).

# UpcomingActionExecution Object

## Description

Represents an action execution that is scheduled in the future.

## Properties

### actionId

ID of the action.

Type: `string`

### actionName

Name of the action.

Type: `string`

### actionType

Type of action.

Type: `string`

### actionVersionId

Version ID of the action.

Type: `string`

### managedInstanceId

ID of the Managed Instance to which the action belongs.

Type: `string`

### startDate

Date, in ISO 8601 format, at which the action will next execute.

Type: `string`

### timeZoneId

Time zone in which the action will execute.

Type: `string`

## Sample JSON

```javascript
{
    "actionId": "a-00000001",
    "actionName": "My Action",
    "actionType": "amazon-start-ec2-instances",
    "actionVersionId": "av-00000001",
    "managedInstanceId": "mi-00000001",
    "startDate": "2016-06-09T10:57:00Z",
    "timeZoneId": "Eastern Standard Time"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/upcomingactionexecution-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
